%define gtk2_version 2.13.1
%define glib2_version 2.15.3
%define libgnomeui_version 2.6.0
%define libglade_version 2.3.6
%define libart_version 2.3.16
%define gnome_desktop_version 2.10.0
%define gnome_icon_theme_version 2.17.1
%define desktop_file_utils_version 0.9
%define gail_version 1.2.0
%define libexif_version 0.6.12
%define _default_patch_fuzz 999

Summary: Eye of GNOME image viewer
Name:    eog
Version: 2.28.2
Release: 4%{?dist}
URL: http://projects.gnome.org/eog/
Source: http://download.gnome.org/sources/eog/2.28/%{name}-%{version}.tar.bz2
Patch0: libxml.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=613641
Patch1: eog-dir-prefix.patch

# Make docs show up in rarian/yelp
Patch2: eog-doc-category.patch

# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=589190
Patch3: eog-translations.patch

# The GFDL has an "or later version" clause embedded inside the license.
# There is no need to add the + here.
License: GPLv2+ and GFDL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libglade2-devel >= %{libglade_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: libexif-devel >= %{libexif_version}
BuildRequires: exempi-devel
BuildRequires: lcms-devel
BuildRequires: libart_lgpl-devel >= %{libart_version}
BuildRequires: intltool
BuildRequires: libjpeg-devel
BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: gnome-doc-utils
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: libXt-devel
BuildRequires: libxml2-devel

Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(post): scrollkeeper
Requires(post): GConf2
Requires(pre): GConf2
Requires(preun): GConf2

Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}
Requires(postun): scrollkeeper

%description
The Eye of GNOME image viewer (eog) is the official image viewer for the
GNOME desktop. It can view single image files in a variety of formats, as
well as large image collections.

eog is extensible through a plugin system.

%package devel
Summary: Support for developing plugins for the eog image viewer
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc
Requires: gtk2-devel
Requires: libglade2-devel
Requires: GConf2-devel

%description devel
The Eye of GNOME image viewer (eog) is the official image viewer for the
GNOME desktop. This package allows you to develop plugins that add new
functionality to eog.

%prep
%setup -q
%patch0 -p1 -b .libxml
%patch1 -p1 -b .dir-prefix
%patch2 -p1 -b .doc-category
%patch3 -p1 -b .translations

echo "NoDisplay=true" >> data/eog.desktop.in
# just in case
echo "NoDisplay=true" >> data/eog.desktop.in.in

%build

%configure --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --remove-category Application				    \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome

# grr, --disable-scrollkeeper seems broken
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

mkdir -p $RPM_BUILD_ROOT%{_libdir}/eog/plugins

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/eog.schemas > /dev/null || :
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/eog.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/eog.schemas > /dev/null || :
fi

%postun
update-desktop-database -q
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_datadir}/eog
%{_datadir}/applications/*
%{_datadir}/omf/*
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/eog

%files devel
%defattr(-,root,root)
%{_includedir}/eog-2.20
%{_libdir}/pkgconfig/eog.pc
%{_datadir}/gtk-doc/html/eog


%changelog

